ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
ome::xml::meta::BaseMetadata Class Reference

Abstract base class for metadata storage and retrieval. More...

`#include <ome/xml/meta/BaseMetadata.h>`

Inheritance diagram for ome::xml::meta::BaseMetadata:
[legend]

## Public Types
typedef std::size_t | index_type
| Index into an array.
typedef std::vector< uint8_t > | byte_array
| An array of bytes for binary image data.

## Public Member Functions
virtual | ~BaseMetadata ()
| Destructor.

## Protected Member Functions
| BaseMetadata ()
| Constructor.

## Private Member Functions
| BaseMetadata (const BaseMetadata &)
| Copy constructor (deleted).
BaseMetadata & | operator= (const BaseMetadata &)
| Assignment operator (deleted).

## Detailed Description

Abstract base class for metadata storage and retrieval.

This class provides no functionality; its purpose is to provide a common base type for the metadata storage and retrieval interfaces so that both types may be stored together in containers.

The documentation for this class was generated from the following file:

- ome/xml/meta/BaseMetadata.h